# sample_two.py

"""

Link : https://maku77.github.io/python/wxpython/statictext.html

"""

import wx

# class MyFrame
# class MyApp

#---------------------------------------------------------------------------

class MyFrame(wx.Frame):
    def __init__(self, parent, id, title):
        wx.Frame.__init__(self, parent, id, title,
                          wx.DefaultPosition, wx.Size(300, 300))

        self.SetIcon(wx.Icon('./icons/icon_wxWidgets.ico', wx.BITMAP_TYPE_ICO))
  
        #------------
        
        # Create widgets.
        panel = wx.Panel(self)

        # Basic label.
        label1 = wx.StaticText(panel, -1, 'Basic label')

        # Left aligned label.
        label2 = wx.StaticText(panel, -1, 'Left aligned')
        label2.SetBackgroundColour('green')

        # Center aligned label.
        label3 = wx.StaticText(panel, -1, 'Center aligned', style=wx.ALIGN_CENTER)
        label3.SetBackgroundColour('green')

        # Right aligned label.
        label4 = wx.StaticText(panel, -1, 'Right aligned', style=wx.ALIGN_RIGHT)
        label4.SetBackgroundColour('green')

        # Left aligned multiple lines label.
        label5 = wx.StaticText(panel, -1, 'Left aligned\nmultiple\nlines text')
        label5.SetBackgroundColour('cyan')

        # Center aligned multiple lines label.
        label6 = wx.StaticText(panel, -1, 'Center aligned\n'
            'multiple\nlines text', style=wx.ALIGN_CENTER)
        label6.SetBackgroundColour('cyan')

        # Center aligned multiple lines label.
        label7 = wx.StaticText(panel, -1, 'Right aligned\n'
            'multiple\nlines text', style=wx.ALIGN_RIGHT)
        label7.SetBackgroundColour('cyan')

        # Set sizer.
        sizer = wx.BoxSizer(wx.VERTICAL)
        sizer.Add(label1, 0, wx.EXPAND|wx.LEFT|wx.RIGHT|wx.TOP, 5)
        sizer.Add(label2, 0, wx.EXPAND|wx.LEFT|wx.RIGHT|wx.TOP, 5)
        sizer.Add(label3, 0, wx.EXPAND|wx.LEFT|wx.RIGHT|wx.TOP, 5)
        sizer.Add(label4, 0, wx.EXPAND|wx.LEFT|wx.RIGHT|wx.TOP, 5)
        sizer.Add(label5, 0, wx.EXPAND|wx.LEFT|wx.RIGHT|wx.TOP, 5)
        sizer.Add(label6, 0, wx.EXPAND|wx.LEFT|wx.RIGHT|wx.TOP, 5)
        sizer.Add(label7, 0, wx.EXPAND|wx.LEFT|wx.RIGHT|wx.TOP, 5)
        panel.SetSizer(sizer)

        #------------
        
        self.Centre()
        
#---------------------------------------------------------------------------
        
class MyApp(wx.App):
    def OnInit(self):
        frame = MyFrame(None, -1, 'wx.StaticText')
        frame.Show(True)
        self.SetTopWindow(frame)
        
        return True

#---------------------------------------------------------------------------
    
app = MyApp(0)
app.MainLoop()
